eoOpSelMason(3)

NAME
eoOpSelMason - EO Mason, or builder, for operator selectors.

SYNOPSIS

#include <eoOpSelMason.h>

Inherits eoFactory< eoOpSelector< eoClass > >.

  Public Types
typedef std::vector< eoOp< eoClass > * > vOpP
typedef map< eoOpSelector< eoClass > *, vOpP > MEV

  Public Member Functions
virtual eoOpSelector< eoClass > * make (std::istream &_is)
Factory methods: creates an object from an std::istream, reading from it whatever is needed to create the object.

ctors and dtors
eoOpSelMason (eoOpFactory< eoClass > &_opFact)
constructor
virtual ~eoOpSelMason ()
destructor

eoObject methods
virtual std::string className () const
Return the class id.

  Private Attributes
map< eoOpSelector< eoClass > *, std::vector< eoOp< eoClass > * > > allocMap
eoOpFactory< eoClass > & operatorFactory

Detailed Description

  template<class eoClass> class eoOpSelMason< eoClass >
EO Mason, or builder, for operator selectors. A builder must allocate memory to the objects it builds, and then deallocate it when it gets out of scope

Definition at line 39 of file eoOpSelMason.h.

Member Function Documentation

  template<class eoClass> virtual eoOpSelector<eoClass>* eoOpSelMason< eoClass >::make (std::istream & _is) [inline, virtual]

Factory methods: creates an object from an std::istream, reading from it whatever is needed to create the object.

The format is opSelClassName\ rate 1 operator1\ rate 2 operator2\ ...\ Stores all operators built in a database (#allocMap#), so that somebody can destroy them later. The Mason is in charge or destroying the operators, since the built object canīt do it itself. The objects built must be destroyed from outside, using the #destroy# method

Implements eoFactory< eoOpSelector< eoClass > >.

Definition at line 65 of file eoOpSelMason.h.

Author

Generated automatically by Doxygen for EO from the source code.